#install zip apps from the command line arguments
if __name__=='__main__':
    import sys, os
    wd = filter(lambda x: x.startswith('--workdir='), sys.argv)
    if wd:
        wd = wd[0][10:]
        sys.argv = filter(lambda x: not x.startswith('--workdir='), sys.argv)
    else:
        wd = None
    fs = filter(lambda x: x=='--fs', sys.argv)!=[]
    if fs: sys.argv[:] = filter(lambda x: x!='--fs',sys.argv)

    if len(sys.argv)<3:
        print 'runfromzip zip [--workdir=path] [--fs] scriptname'
        os._exit(-1)
    zfn = os.path.abspath(sys.argv[1])
    ext = os.path.splitext(zfn)[1]
    if not ext and not os.path.isfile(zfn): zfn += '.zip'
    sys.path.insert(0,zfn)
    script = sys.argv[2]
    sys.argv = sys.argv[2:]
    from rlextra.utils.zipapp import ZipAppArchive
    getattr(ZipAppArchive(zfn),fs and 'runScriptFromFS' or 'runScriptFromZip')(script,workDir=wd)
